# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           java-uuid-generator
Version:        3.1.2
Release:        4%{?dist}
Epoch:          0
Summary:        A pure Java UUID Generator
License:        ASL 2.0 
Url:            http://wiki.fasterxml.com/JugHome
Group:          Development/Libraries
# git clone https://github.com/cowtowncoder/java-uuid-generator
# git archive --format=tar --prefix=java-uuid-generator-3.1.2/ java-uuid-generator-3.1.2 | gzip >java-uuid-generator-3.1.2.tgz
Source0:        java-uuid-generator-3.1.2.tgz

BuildRequires:  ant
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  junit >= 3.8.1
BuildRequires:  log4j
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-surefire-provider-junit4

Requires:       java >= 0:1.5.0
Requires:       log4j

BuildArch:      noarch

%description
JUG is a pure java UUID generator, that can be used either
as a component in a bigger application, or as a standalone
command line tool (a la 'uuidgen'). 

JUG generates UUIDs according to the IETF UUID draft 
specification (and further clarified in UUID URN name space
IETF draft ) 8211; all 3 'official' types defined by the 
draft 8211 are supported. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
%{summary}.

%prep
%setup -q 

%build
mvn-rpmbuild package javadoc:javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Fix CREDITS
pushd release-notes
iconv -f latin1 -t utf8 CREDITS > CREDITS.utf8
mv -f CREDITS.utf8 CREDITS
popd

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}
cp -rp release-notes $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%files
%doc %{_docdir}/%{name}-%{version}/*
%{_javadir}/*.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*

%files javadoc
%doc %{_javadocdir}/%{name}
%doc %{_docdir}/%{name}-%{version}/asl/*

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:3.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 07 2011 Andy Grimm <agrimm@gmail.com> 0:3.1.2-2
- Fixes for package review

* Wed Aug 31 2011 Andy Grimm <agrimm@gmail.com> 0:3.1.2-1
- Update to 3.1.2

* Wed Aug 31 2011 Andy Grimm <agrimm@gmail.com> 0:2.0.0-2
- Follow Fedora guidelines

* Wed Aug 24 2011 Andy Grimm <agrimm@gmail.com> 0:2.0.0-1
- rebuild in Fedora

* Tue Apr 14 2009 Ralph Apel <r.apel@r-apel.de> 0:2.0.0-1
- Initial build
